---
title: "B2CSE API"
canonical: https://documentation.maventa.com/api-specification/rest-api/b2cse-api/
---

The B2CSE API handles Swedish consumer invoicing (B2C). Use it to activate and manage the B2C e-invoicing agreement that enables invoice delivery to consumers via Swedish online banks and digital mail services such as Kivra and Billo.

For a full walkthrough of activation and the consumer invoicing flow, see the [consumer invoicing guide for Sweden](https://documentation.maventa.com/integration-guide/invoice-sending/consumer-invoicing/se/).

## API endpoints

### GET /v1/services/b2cse/agreement

Get status of B2CSE network reqistration request

[EXPERIMENTAL] Get status of B2CSE network reqistration request

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 |  | `API_Entities_B2CSE_Agreement` |
| 404 |  | `API_Entities_Error` |
| 422 |  | `API_Entities_Error` |
| 500 |  | `API_Entities_Error` |

### POST /v1/services/b2cse/agreement

Create B2CSE network registration request

[EXPERIMENTAL] Open B2CSE network agreement with the details gotten from the bank. If FUI and agreement ID are not given, a new bank agreement will be created for B2C traffic.

**Request body**

Schema: `postV1ServicesB2cseAgreement`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| fui | `string` | no | FUI = Faktura Utställar Identitet. Only if company already has an existing agreement with their bank and knows their FUI. If given, also agreement_id is required. |
| agreement_id | `string` | no | Agreement ID. Only if company already has an existing agreement with their bank and knows their agreement ID. If given, also fui is required. |
| account_number | `string` | yes | Account Number without dashes (123456) |
| account_type | `string` | yes | Account type (PlusGiro or BankGiro) |
| website | `string` | no | Website URL |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 204 |  |  |
| 400 |  | `API_Entities_Error` |
| 422 |  | `API_Entities_Error` |
| 500 |  | `API_Entities_Error` |


_OpenAPI spec snapshot: 2026-05-06_
